{
  "$schema": "https://docs.renovatebot.com/renovate-schema.json",
  "extends": ["config:recommended", ":dependencyDashboard", ":semanticCommits"],
  "nix": {
    "enabled": true
  },
  "lockFileMaintenance": {
    "enabled": true,
    "schedule": ["before 6am on monday"],
    "automerge": true
  },
  "git-submodules": {
    "enabled": false
  },
  "packageRules": [
    {
      "description": "Group all flake input bumps from lockFileMaintenance into one PR.",
      "matchManagers": ["nix"],
      "groupName": "flake inputs"
    },
    {
      "description": "Group Gitea Actions workflow updates.",
      "matchManagers": ["github-actions"],
      "groupName": "gitea actions"
    }
  ]
}
